Bug 251967 - www/yarn: Update to 1.22.10
Summary: www/yarn: Update to 1.22.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Luca Pizzamiglio
URL: https://github.com/yarnpkg/yarn/blob/...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-12-19 19:26 UTC by Jose Luis Duran
Modified: 2020-12-30 18:14 UTC (History)
1 user (show)

See Also:
pizzamig: maintainer-feedback+


Attachments
Update to 1.22.10 (1.53 KB, patch)
2020-12-19 19:26 UTC, Jose Luis Duran
no flags Details | Diff
Had to chmod +x the bins (380 bytes, text/plain)
2020-12-30 18:14 UTC, Jose Luis Duran
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Luis Duran 2020-12-19 19:26:48 UTC
Created attachment 220724 [details]
Update to 1.22.10

The patch take into consideration the new slave port yarn-node14 (bug #251966).
Comment 1 CTS - FreeBSD Team 2020-12-26 14:05:09 UTC
I doubt this only affects you. In fact it affects all admins who use yarn and would like to stay with the next LTS release of node, node14. The npm port was updated ages ago with the NODE14 knob. Is the yarn port dead?

It would be really nice to see this (or a similar) patch commited before python27 and node12 are deleted from the ports.
Comment 2 Luca Pizzamiglio freebsd_committer 2020-12-27 10:06:36 UTC
Thanks for submitting, I'll commit it in the next days.

(In reply to Markus Mann from comment #1)

yarn port is not dead, sometimes I'm busy and it takes time to get what I want to do in the port tree, but you can always fill a PR.
yarn 1 is not super active anymore, because of yarn2, that is not distributed as independent package any longer
Comment 3 commit-hook freebsd_committer 2020-12-30 17:21:02 UTC
A commit references this bug:

Author: pizzamig
Date: Wed Dec 30 17:20:13 UTC 2020
New revision: 559675
URL: https://svnweb.freebsd.org/changeset/ports/559675

Log:
  www/yarn-*: update to 1.22.10

  Add support for Node 14
  Fix CONFLICTS with an updated list of nodejs versions
  Changelog: https://github.com/yarnpkg/yarn/blob/master/CHANGELOG.md

  PR:		251967
  Submitted by:	Jose Luis Duran <jlduran@gmail.com>

Changes:
  head/www/yarn/Makefile
  head/www/yarn/distinfo
  head/www/yarn/pkg-plist
  head/www/yarn-node10/Makefile
  head/www/yarn-node12/Makefile
Comment 4 Luca Pizzamiglio freebsd_committer 2020-12-30 17:23:17 UTC
Committed.
The original patch didn't work, plist checks were failing.
Moreover, I created the yarn-node14 port and fix all the CONFLICTS declaration in all other slave ports (yarn-port10 and yarn-port12)
Comment 5 Jose Luis Duran 2020-12-30 17:25:50 UTC
(In reply to Luca Pizzamiglio from comment #4)

Thank you!
Comment 6 Jose Luis Duran 2020-12-30 18:14:10 UTC
Created attachment 221109 [details]
Had to chmod +x the bins

It's weird that I had to chmod +x the bins. I'll wait for the pkg to be ready.

Thank you again!